using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace SlnMesnac.Model.domain
{
    [SugarTable("dms_agv_code_map"), TenantAttribute("mes")]
    public class DmsAgvCodeMap
    {
        /// <summary>
        /// 机器人状态码
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, ColumnName = "agv_code")]
        public long AgvCode { get; set; }

        /// <summary>
        /// 机器人状态
        /// </summary>
        [SugarColumn(ColumnName = "agv_status")]
        public string AgvStatus { get; set; }

        /// <summary>
        /// 机器人状态定义说明
        /// </summary>
        [SugarColumn(ColumnName = "agv_status_definition")]
        public string AgvStatusDefinition { get; set; }

        /// <summary>
        /// 显示屏显示内容
        /// </summary>
        [SugarColumn(ColumnName = "agv_display_content")]
        public string AgvDisplayContent { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [SugarColumn(ColumnName = "remark")]
        public string Remark { get; set; }

        /// <summary>
        /// 创建人
        /// </summary>
        [SugarColumn(ColumnName = "create_by")]
        public string CreateBy { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnName = "create_time")]
        public DateTime? CreateTime { get; set; }
    }

}
